	subroutine setbwtmp(clev,clo,chi)
c	subroutine setbwtmp(clev,imult)
        common/check/nchk,xbad
	common /my_colors/ncolor,hsi(3,30),nc1
	COMMON /CNTR/ CMIN,CMAX,CDEL,cmid,itype
	dimension clev(4)
c
c	itype=-2: bw temperature, shade between clo and chi
c
	ncolor=3
	cmid=20.
	nc1=1
	if(cdel.le.0.0) cdel=1.
c	clev(1)=cmid-imult*cdel
c	clev(2)=cmid+imult*cdel
	clev(1)=clo
	clev(2)=chi
        hsi(1,1)=5.0
        hsi(2,1)=1.0
        hsi(3,1)=1.0
        hsi(1,3)=5.0
        hsi(2,3)=1.0
        hsi(3,3)=1.0
        hsi(1,2)=4.0
        hsi(2,2)=0.0
        hsi(3,2)=0.7
c        hsi(1,4)=4.0
c        hsi(2,4)=0.0
c        hsi(3,4)=0.3
	return
	end
